Subject: Re: [bug#70280] [PATCH 2/5] system:‘operating-system-locale-definitions’ includes the OS’ locale.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Tue, 16 Apr 2024 00:51:38 +0200

Ludovic Courtès <[email-masked]> writes:
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
>> This is a regression.  I have in my /run/current-system/configuration.scm
>>
>>  (locale "de_DE.utf8")
>>  (locale-definitions
>>   (cons* (locale-definition
>>           (name "ar_SY.utf8") (source "ar_SY"))
>>          (locale-definition
>>           (name "bn_BD.utf8") (source "bn_BD"))
>>          (locale-definition
>>           (name "hu_HU.utf8") (source "hu_HU"))
>>          (locale-definition
>>           (name "ka_GE.utf8") (source "ka_GE"))
>>          (locale-definition
>>           (name "lt_LT.utf8") (source "lt_LT"))
>>          (locale-definition
>>           (name "oc_FR.utf8") (source "oc_FR"))
>>          (locale-definition
>>           (name "pt_BR.utf8") (source "pt_BR"))
>>          (locale-definition
>>           (name "si_LK.utf8") (source "si_LK"))
>>          (locale-definition
>>           (name "sk_SK.utf8") (source "sk_SK"))
>>          (locale-definition
>>           (name "sr_RS.utf8") (source "sr_RS"))
>>          %default-locale-definitions))
>>
>> but de_DE.utf8 is not available and
>> “export LC_ALL=de_DE.utf8” gives an error.
>
> Right.
>
> I would call it a semantic change rather than a regression (a feature
> rather than a bug :-)).
>
> It’s more in line with what we’re doing elsewhere: the default is to
> include ‘locale’ in the locale definitions, but we let the user override
> that if they wish.

It is a regression when with the same OS config.scm, my GNOME is no
longer in German.  Perhaps I’m missing something, but the only gain from
making it configurable to not include the configured default locale in
locale-definitions would be that it becomes possible to not include the
default locale language’s utf8 encoding, but utf8 is good for everyone.

> Perhaps we should at least clarify the manual?
>
> Ludo’.

I would have expected the prior behavior, i.e. the setting in locale to
be available regardless of locale-definitions.  To me it does not seem
necessary to be documented explicitly, but maybe better be explicit.

Regards,
Florian